Package org.eclipse.graphiti.pattern

## Interface IConnectionPattern

All Superinterfaces:
  `IAdd`, `ICreateConnection`, `ICreateInfo`

All Known Implementing Classes:
  `AbstractConnectionPattern`

    public interface IConnectionPattern
    extends IAdd, ICreateConnection

The Interface IConnectionPattern marks a pattern for handling connections. Please see the information in `AbstractConnectionPattern`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setFeatureProvider​(IFeatureProvider fp)` Sets the feature provider.

### Methods inherited from interface org.eclipse.graphiti.func.IAdd

`add, canAdd`

### Methods inherited from interface org.eclipse.graphiti.func.ICreateConnection

`attachedToSource, canceledAttaching, canCreate, canStartConnection, create, endConnecting, startConnecting`

### Methods inherited from interface org.eclipse.graphiti.func.ICreateInfo

`getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName`

### Method Detail

#### setFeatureProvider

    void setFeatureProvider​(IFeatureProvider fp)

Sets the feature provider.

Parameters:
  `fp` - the new feature provider